/*
 * e_df_3f.h
 *
 *  Created on: 29-06-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_DF_3F_H_
#define E_DF_3F_H_

#include "tdefs.h"
#include "e_f.h"

struct e_df_3f_logic
{
	u8 *ok_ptr;
	u8 ok_bit_no;
	float *df_ptr;

	struct e_f_wyjscie *f1;
	struct e_f_wyjscie *f2;
	struct e_f_wyjscie *f3;
};

struct e_df_3f_wyjscie
{
	float df_;
	u8 OK_;
};

struct e_df_3f_io
{
	u32 f1_ptr_in;
	u32 f2_ptr_in;
	u32 f3_ptr_in;

	u32 df_float_out;
	u32 ok_out;
}__attribute__((__packed__));

struct e_df_3f_params
{
}__attribute__((__packed__));

struct e_df_3f_args
{
	struct e_df_3f_io io;
	struct e_df_3f_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_df_3f_100hz(void *args, void *logic);
extern int e_df_3f_initlog(void *arguments, void *logic);

#endif /* E_DF_3F_H_ */
